org.jboss.classfilewriter.attributes

## Class SignatureAttribute

- java.lang.Object
- - org.jboss.classfilewriter.attributes.Attribute
  - - org.jboss.classfilewriter.attributes.SignatureAttribute

All Implemented Interfaces:
  WritableEntry

    public class SignatureAttribute
    extends Attribute

### Field Summary

Fields
`static String` `NAME`

### Fields inherited from class org.jboss.classfilewriter.attributes.Attribute

`constPool`

### Constructor Summary

Constructors
Constructor and Description
`SignatureAttribute(ConstPool constPool, String signature)`

### Method Summary

Methods
`void` `writeData(ByteArrayDataOutputStream stream)`

### Methods inherited from class org.jboss.classfilewriter.attributes.Attribute

`getName, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

See Also:
  Constant Field Values

### Constructor Detail

#### SignatureAttribute

    public SignatureAttribute(ConstPool constPool,
                      String signature)

### Method Detail

#### writeData

    public void writeData(ByteArrayDataOutputStream stream)
                   throws IOException

Specified by:
  `writeData` in class `Attribute`
Throws:
  `IOException`